#!/bin/bash

# This script will/should build a custom kernel possible to use with the build of YALP

distro="2.6.26.2"
lsource="http://kernel.org/pub/linux/kernel/v2.6/linux-$distro.tar.bz2"
lpatch="http://www.kernel.org/pub/linux/kernel/v2.6/patch-$distro.bz2"
workingdir="`pwd`"
configdir="$workingdir/config"   # Kernel config dir

cd /usr/src/
rm -fr *.deb

wget $lsource 
tar -xvjf linux-$distro.tar.bz2
cd linux-$distro
wget $lpatch
bunzip2 patch-$distro.bz2
patch -R -p1 < patch-$distro
cp $configdir ./.config # Used config located in /boot/ in a already created livecd
sed 's/# CONFIG_UFS_FS_WRITE is not set/CONFIG_UFS_FS_WRITE=y/' .config >test    # (vim .config -> CONFIG_UFS_FS_WRITE=y)
mv test .config
aptitude install --assume-yes module-assistant gcc libncurses-dev fakeroot kernel-package zlib1g-dev
fakeroot make-kpkg --initrd --revision=dlb.1.0 --append-to-version=-dlb kernel_image kernel_headers modules
aptitude install --assume-yes lzma-source squashfs-source aufs-source
cd /usr/src
rm -rf /usr/src/linux
ln -s linux-$distro linux
m-a update
m-a build -k /usr/src/linux-$distro lzma
m-a build -k /usr/src/linux-$distro squashfs
mkdir $workingdir/$distro
cp /usr/src/*.deb $workingdir/$distro

