#!/bin/bash 
os=$1
mountdir="/mnt/os"

# This script will help the user with mounting a host system, it needs a lot of improvements.


if [ -z $os ]
	then
	echo "Please enter a os you want to mount! (Win/Ubuntu/Fedora/FreeBSD/unmount)."
	read mount
	os=$mount
fi
if [ -d $mountdir ]
	then	
	echo "will unmont $mountdir if it is already mounted."
	umount $mountdir
else
	mkdir $mountdir
fi
case $os in
	unmount|umount)
		rmdir $mountdir
		echo unmounting done
		exit
		;;
	*)
		echo "Mount directory $mountdir created."
		echo "The partition device can be found later, by running 'sudo fdisk -l'."
		echo "Here is the output of fdisk -l:"
		fdisk -l
		echo "Enter partition device with full path, ie. /dev/sda2."
		echo "(press enter if you want us to try common options (/dev/sda1 or /dev/hda1))."
		read device
		dev=$device
		if [ -z $dev ]
			then
			if [ -a /dev/sda1 ]
				then
				echo "Partition device is /dev/sda1."
				dev="/dev/sda1"
			elif [ -a /dev/hda1 ]
				then
				echo "Partition device is /dev/hda1."
				dev="/dev/hda1"
			else
				echo "Harddrive device is not found."
				echo "Please enter partition device:"
				read device
				dev=$device
			fi
		elif [ -a $dev ]
			then
			echo "Will try to mount with $dev as partition device"
		else
			echo "Harddrive device was not supported!"
			echo "Please run this script again with correct device values"
			exit 113
		fi
esac
case $os in
	FreeBSD|freeBSD|freebsd|bsd|BSD)
    	echo will try mount $os
		mount -t ufs -o rw,ufstype=ufs2 $dev $mountdir
		if [ "$?"-ne 0 ]; then echo "Could not mount! returning to main menu."; exit 113; fi
		;;
	Ubuntu*|ubuntu*|Fedora*|fedora*)
    	echo will try mount $os
		mount -t ext3 $dev $mountdir 
		if [ "$?"-ne 0 ]; then echo "Could not mount! returning to main menu."; exit 113; fi
		;;
	Win*|win*)
    	echo will try mount $os
		mount -t ntfs-3g $dev $mountdir
		if [ "$?"-ne 0 ]; then echo "Could not mount! returning to main menu."; exit 113; fi
		;;
	Mac*|mac*)
    	echo will try mount $os
		echo "$os not yet supported!"
		exit 113
		;;
	*)
		echo "$os not supported, filesystem not mounted."
		echo "Is $os an operating system?"
		echo "Please try again, returning to main menu."
		rmdir $mountdir
		exit 113
		;;
esac
if [ -d $mountdir ]
	then
	tmp=`ls -A $mountdir | grep -c .`
	if [ $tmp -eq 0 ]; then
		echo "Something went wrong, $dev was not mounted to $mountdir."
		echo "Have you typed in the correct host os?"
		rmdir $mountdir
		exit 113
	else
		echo "It looks like the file system was successfully mounted to $mountdir."
	fi
fi
