#!/bin/bash

# This script is the script that is initiated when YALP has finished the boot process. 
# It is a menu for all the other scripts. To work properly, the following files has to be included:
# agreement, menu, menu1, menu2, menu3 and the rest of the scripts.

# some variables

mountdir="/mnt/os"
folder="/home/user"
#folder="/media/Documents/master/thesis/scripts/YALP/our_scripts"


# initial licence and agreement

sudo cat $folder/agreement
echo "Do you understand and agree to the terms mentioned above?"
read agree
if [ -z $agree ]
	then
	sudo shutdown -h now
elif [ $agree != "yes" ]
	then
	sudo shutdown -h now	
fi

# a method checking if a system is mounted

ismounted () {
	if [ -d $mountdir ]
		then
		tmp=`ls -A $mountdir | grep -c .`
		if [ $tmp -eq 0 ]
			then
			echo "It looks like no host filesystem has been mounted."
			echo "Will first run a mount script (mountos.sh)"
			sudo sh $folder/mountos.sh
			if [ $? -eq 113 ]
				then
				echo "Will return to main menu!"
				menu
			fi
		fi
	else
		echo "It looks like no host filesystem has been mounted."
		echo "Will first run a mount script (mountos.sh)"
		sudo sh $folder/mountos.sh
		if [ $? -eq 113 ]
			then
			echo "Will return to main menu!"
			menu
		fi
	fi 
}


# supplementary tools menu

menu3 () {
	sudo cat $folder/menu3
	read option
	case $option in
		1)
			sudo sh $folder/mountos.sh
			menu
			;;
		2)
			sudo fdisk -l
			menu
			;;
		3)
			sudo truecrypt -h|less
			;;
		4)
			menu
			;;
		*)
			echo "Please enter a valid number!"
			menu3
			;;
	esac
}


# password recovery tools menu

menu2 () {
	sudo cat $folder/menu2
	read option
	case $option in
		1)
			sudo ophcrack-cli|less
			;;
		2)
			sudo john|less
			;;
		3)
			sudo perl $folder/lm2ntcrack.pl
			;;
		4)
			menu
			;;
		*)
			echo "Please enter a valid number!"
			menu2
			;;
	esac
}


# password resetting tools menu

menu1 () {
	sudo cat $folder/menu1
	read option
	case $option in
		1)
			ismounted 
			sudo perl $folder/editshadow.pl $mountdir/etc/shadow
			menu
			;;
		2)
			ismounted 
			sudo perl $folder/editmasterpasswd.pl $mountdir/etc/master.passwd
			menu
			;;
		3)	
			ismounted 
			sudo sh $folder/replace_startup_files.sh 
			menu
			;;
		4)
			sudo chntpw
			;;
		5)
			menu
			;;
		*)
			echo "Please enter a valid number!"
			menu1
			;;
	esac
}

# main menu with options

menu () {
	sudo cat $folder/menu
	read option
	case $option in
		1)
			menu1
			;;
		2)
			menu2
			;;
		3)	
			menu3
			;;
		4)
			exit
			;;
		5)
			sudo shutdown -r now
			;;
		6)
			sudo shutdown -h now
			;;
		*)
			echo "Please enter a valid number!"
			menu
			;;
	esac
}

menu
